Can't add new Shared Folders - "Internal Server Error"

    • OMV 5.x (beta)
    • Upgrade 4.x -> 5.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Can't add new Shared Folders - "Internal Server Error"

      I recently upgraded from OMV4 to OMV5 and am still sorting out how to re-setup docker and understand portainer.

      I attempted to add a new sharedfolder to install Docker on and got this error when trying to add a new sharedfolder... please see attached.

      I have no idea how to debug this ... is there any guidance someone can provide? Thank you!
      Files
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • Try clearing your browser cache.

      Strong suggestion: Never use shared folders with anything to do with dockers. Use the fully qualified filesystem path instead.

      You can delete your own posts. Just press edit the post and press the More Options button. Look for the Delete post section.
      --
      Google is your friend and Bob's your uncle!

      RAID - Its ability to disappoint is inversely proportional to the user's understanding of it.

      ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380

      The post was edited 1 time, last by gderf ().

    • gderf wrote:

      Try clearing your browser cache.

      Strong suggestion: Never use shared folders with anything to do with dockers. Use the fully qualified file path instead.

      You can delete your own posts. Just press edit the post and press the More Options button. Look for the Delete post section.
      Thanks - cache cleared.

      I usually use the fully qualified file path... but I can't even create the folder. This isn't about installing Docker, but literally just being able to create a new shared folder.

      I believe this is the same error message:

      Display Spoiler
      Error #0:OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run systemd 2>&1' with exit code '1': /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working from collections import Iterable, Mapping, namedtupledizOMV.dizDomain: Data failed to compile:---------- Rendering SLS 'base:omv.deploy.systemd.10sharedfolders' failed: Jinja error: No such object: //system/fstab/mntent[uuid='532eee28-3d89-47b1-be7b-618677f77e03']Traceback (most recent call last): File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 715, in execute self._response = self._response[0]IndexError: list index out of rangeDuring handling of the above exception, another exception occurred:Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 394, in render_jinja_tmpl output = template.render(**decoded_context) File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render return original_render(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render return self.environment.handle_exception(exc_info, True) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception reraise(exc_type, exc_value, tb) File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise raise value.with_traceback(tb) File "<template>", line 35, in top-level template code File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 129, in get_sharedfolder_mount_path mp_obj = get('conf.system.filesystem.mountpoint', sf_obj['mntentref']) File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 39, in get objs = db.get(id_, identifier) File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 85, in get query.execute() File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 720, in execute raise DatabaseQueryNotFoundException(self.xpath, self.model)openmediavault.config.database.DatabaseQueryNotFoundException: No such object: //system/fstab/mntent[uuid='532eee28-3d89-47b1-be7b-618677f77e03']; line 35---[...] - path: "/etc/systemd/system" - iname: "{{ sharedfolders_path_escaped }}-*.mount" - delete: "f"{% for sharedfolder in sharedfolders_config %}{% set mntdir = salt['omv_conf.get_sharedfolder_mount_path'](sharedfolder.uuid) %} <======================{% set what = salt['omv_conf.get_sharedfolder_path'](sharedfolder.uuid) %}{% set where = sharedfolders_path | path_join(sharedfolder.name) %}{% set unit_name = salt['cmd.run']('systemd-escape --path --suffix=mount ' ~ where) %}configure_sharedfolder_{{ sharedfolder.name }}_mount_unit_file:[...]--- in /usr/share/php/openmediavault/system/process.inc:182Stack trace:#0 /usr/share/php/openmediavault/engine/module/serviceabstract.inc(60): OMV\System\Process->execute()#1 /usr/share/openmediavault/engined/rpc/config.inc(167): OMV\Engine\Module\ServiceAbstract->deploy()#2 [internal function]: Engined\Rpc\Config->applyChanges(Array, Array)#3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#4 /usr/share/php/openmediavault/rpc/serviceabstract.inc(149): OMV\Rpc\ServiceAbstract->callMethod('applyChanges', Array, Array)#5 /usr/share/php/openmediavault/rpc/serviceabstract.inc(588): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatusPE...', '/tmp/bgoutputqF...')#6 /usr/share/php/openmediavault/rpc/serviceabstract.inc(159): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))#7 /usr/share/openmediavault/engined/rpc/config.inc(189): OMV\Rpc\ServiceAbstract->callMethodBg('applyChanges', Array, Array)#8 [internal function]: Engined\Rpc\Config->applyChangesBg(Array, Array)#9 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('applyChangesBg', Array, Array)#11 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('Config', 'applyChangesBg', Array, Array, 1)#12 {main}
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • gderf wrote:

      Try clearing your browser cache.

      Strong suggestion: Never use shared folders with anything to do with dockers. Use the fully qualified file path instead.

      You can delete your own posts. Just press edit the post and press the More Options button. Look for the Delete post section.
      Thanks - cache cleared.

      I usually use the fully qualified file path... but I can't even create the folder. This isn't about installing Docker, but literally just being able to create a new shared folder.

      I believe this is the same error message:

      Display Spoiler
      Error #0:OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run systemd 2>&1' with exit code '1': /usr/lib/python3/dist-packages/salt/modules/file.py:32: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working from collections import Iterable, Mapping, namedtupledizOMV.dizDomain: Data failed to compile:---------- Rendering SLS 'base:omv.deploy.systemd.10sharedfolders' failed: Jinja error: No such object: //system/fstab/mntent[uuid='532eee28-3d89-47b1-be7b-618677f77e03']Traceback (most recent call last): File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 715, in execute self._response = self._response[0]IndexError: list index out of rangeDuring handling of the above exception, another exception occurred:Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 394, in render_jinja_tmpl output = template.render(**decoded_context) File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", line 76, in render return original_render(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1008, in render return self.environment.handle_exception(exc_info, True) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 780, in handle_exception reraise(exc_type, exc_value, tb) File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 37, in reraise raise value.with_traceback(tb) File "<template>", line 35, in top-level template code File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 129, in get_sharedfolder_mount_path mp_obj = get('conf.system.filesystem.mountpoint', sf_obj['mntentref']) File "/var/cache/salt/minion/extmods/modules/omv_conf.py", line 39, in get objs = db.get(id_, identifier) File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 85, in get query.execute() File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 720, in execute raise DatabaseQueryNotFoundException(self.xpath, self.model)openmediavault.config.database.DatabaseQueryNotFoundException: No such object: //system/fstab/mntent[uuid='532eee28-3d89-47b1-be7b-618677f77e03']; line 35---[...] - path: "/etc/systemd/system" - iname: "{{ sharedfolders_path_escaped }}-*.mount" - delete: "f"{% for sharedfolder in sharedfolders_config %}{% set mntdir = salt['omv_conf.get_sharedfolder_mount_path'](sharedfolder.uuid) %} <======================{% set what = salt['omv_conf.get_sharedfolder_path'](sharedfolder.uuid) %}{% set where = sharedfolders_path | path_join(sharedfolder.name) %}{% set unit_name = salt['cmd.run']('systemd-escape --path --suffix=mount ' ~ where) %}configure_sharedfolder_{{ sharedfolder.name }}_mount_unit_file:[...]--- in /usr/share/php/openmediavault/system/process.inc:182Stack trace:#0 /usr/share/php/openmediavault/engine/module/serviceabstract.inc(60): OMV\System\Process->execute()#1 /usr/share/openmediavault/engined/rpc/config.inc(167): OMV\Engine\Module\ServiceAbstract->deploy()#2 [internal function]: Engined\Rpc\Config->applyChanges(Array, Array)#3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#4 /usr/share/php/openmediavault/rpc/serviceabstract.inc(149): OMV\Rpc\ServiceAbstract->callMethod('applyChanges', Array, Array)#5 /usr/share/php/openmediavault/rpc/serviceabstract.inc(588): OMV\Rpc\ServiceAbstract->OMV\Rpc\{closure}('/tmp/bgstatusPE...', '/tmp/bgoutputqF...')#6 /usr/share/php/openmediavault/rpc/serviceabstract.inc(159): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))#7 /usr/share/openmediavault/engined/rpc/config.inc(189): OMV\Rpc\ServiceAbstract->callMethodBg('applyChanges', Array, Array)#8 [internal function]: Engined\Rpc\Config->applyChangesBg(Array, Array)#9 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#10 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('applyChangesBg', Array, Array)#11 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('Config', 'applyChangesBg', Array, Array, 1)#12 {main}


      Also, this is the only option I get when trying to Edit a post:

      [Blocked Image: https://i.imgur.com/MdlVg2e.jpg]
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • You are trying to edit the thread. You need to edit the post instead.

      You said: "I attempted to add a new sharedfolder to install Docker on...."

      I said don't so that. In fact OMV 5 will not allow you to select a shared folder for the Docker base path. But it won't prevent you from using shared folders within a docker, so you will need to remember to not do that.
      --
      Google is your friend and Bob's your uncle!

      RAID - Its ability to disappoint is inversely proportional to the user's understanding of it.

      ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380
    • Thanks, gderf ... I was able to delete posts. Sorry, misunderstanding.

      I was following Techno Dad Life's OMV 5 Nextcloud via Docker video and he linked directly to the shared folders ... this is not have I've done it before; I've gone to the base path.

      In the mean time, I can't seem to find a way to even create a shared folder. Just hoping for some help with the issue. Thanks, again!
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • The videos by Techno Dad Life (TDL) you are watching are not recent. His early videos used shared folders with dockers, and maybe he got away with it, but many others had problems, and TDL no longer recommends this. I believe the OMV author @votdev also had something to say about this, but I can't find the post.

      Adding a shared folder is very straight forward. Exactly what is going wrong other than that huge error message which can't all be about the problem?
      --
      Google is your friend and Bob's your uncle!

      RAID - Its ability to disappoint is inversely proportional to the user's understanding of it.

      ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380
    • gderf wrote:

      The videos by Techno Dad Life (TDL) you are watching are not recent. His early videos used shared folders with dockers, and maybe he got away with it, but many others had problems, and TDL no longer recommends this. I believe the OMV author @votdev also had something to say about this, but I can't find the post.

      Adding a shared folder is very straight forward. Exactly what is going wrong other than that huge error message which can't all be about the problem?
      Thanks, gderf

      Steps to reproduction are:
      1. Go to Shared Folders
      2. Click "Add"
      3. Choose a name ("Docker") and the Device (see image below)
      4. Set Permissions
      5. Save
      6. Apply Changes
      7. Error I posted above
      Here is the image from step 3:
      [Blocked Image: https://i.imgur.com/W3xWDuW.jpg]
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • Should I just start over with a fresh OMV5 install vs. going with the OMV4 upgrade? I seem to be running into several issues... I believe all my Docker images are gone already, anyway, and I don't mind setting up the 1-2 users and fileshares again. I just don't want to lose the data I have on my hardware raid. Would that data still be available?
      TS140 70A4 - Xeon E3-1225V3 3.2 GHz - 4 GB ECC RAM - 5 WD Red 3 TB HDD
    • I can't reproduce your problem so I don't know what else to say.

      I suppose it's possible to run into weird problems when doing an upgrade from a previous version, and frankly I'd say I have been very luck so far. My current OMV started out at v2, then upgraded to v3, then upgraded to v4, then upgraded to v5. The upgrade from v2 to v3 was difficult and it took me several tries to get it to complete. The rest just worked. I have files and directories on the system disk dated as early as June 9, 2015 ! I have far to much invested in my install to just blow it off and start over with a fresh install from scratch. If I can't upgrade I'll stay put.

      But if you have a minimal investment in you current install you could just start over from scratch and see what happens. I have quite a few 16GB SSDs handy so I don't have to blow my current installation disk away.

      The standard recommendation is to protect your data drives by disconnecting their cables when doing an upgrade from a previous version. Then once you have it all squared away you can reconnect the data drives and import the RAID (I don't use RAID myself, but supposedly the import is straight forward).
      --
      Google is your friend and Bob's your uncle!

      RAID - Its ability to disappoint is inversely proportional to the user's understanding of it.

      ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380